<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (13) on Tue May 19 01:49:06 EEST 2020 -->
<title>C-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-19">
<meta name="description" content="index: C">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="split-index">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="../presentation_layer/ChefObserver.html" title="class in presentation_layer"><span class="typeNameLink">ChefObserver</span></a> - Class in <a href="../presentation_layer/package-summary.html">presentation_layer</a></dt>
<dd>
<div class="block">– implementeaza interfata Observer; contine o variabila instanta de tipul ViewChefGUI, care reprezinta fereastra pentru bucatar, si o variabila de tip Restaurant care permite accesul bucatarului la comenzile preluate de chelner; pe langa constructor, clasa descrie corpul metodei update() din interfata, ce are rolul de a actualiza tabela de comenzi de care trebuie sa tina cont bucatarul; pentru a putea urmari efectul design pattern-ului Observer, este necesara deschiderea ferestrei pentru bucatar si mentinerea ei deschisa inainte de a vizualiza, adauga, sterge sau modifica orice comanda in fereastra pentru chelner;</div>
</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ChefObserver.html#%3Cinit%3E(presentation_layer.ViewChefGUI,business_layer.Restaurant)">ChefObserver(ViewChefGUI, Restaurant)</a></span> - Constructor for class presentation_layer.<a href="../presentation_layer/ChefObserver.html" title="class in presentation_layer">ChefObserver</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../business_layer/CompositeProduct.html" title="class in business_layer"><span class="typeNameLink">CompositeProduct</span></a> - Class in <a href="../business_layer/package-summary.html">business_layer</a></dt>
<dd>
<div class="block">- extinde clasa MenuItem.; aceasta contine in plus ca variabila instanta un obiect de tipul ArrayList<MenuItem> pentru stocarea produselor din care este alcatuit produsul compus (am folosit aici design pattern-ul Composite); pe langa constructor, clasa contine un getter si un setter pentru lista de produse si suprascrie metoda computePrice() din superclasa si, de asemenea, mai contine si metoda toString();</div>
</dd>
<dt><span class="memberNameLink"><a href="../business_layer/CompositeProduct.html#%3Cinit%3E(int,java.lang.String)">CompositeProduct(int, String)</a></span> - Constructor for class business_layer.<a href="../business_layer/CompositeProduct.html" title="class in business_layer">CompositeProduct</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../business_layer/CompositeProduct.html#computePrice()">computePrice()</a></span> - Method in class business_layer.<a href="../business_layer/CompositeProduct.html" title="class in business_layer">CompositeProduct</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../business_layer/MenuItem.html#computePrice()">computePrice()</a></span> - Method in class business_layer.<a href="../business_layer/MenuItem.html" title="class in business_layer">MenuItem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../business_layer/IRestaurantProcessing.html#computePriceForOrder(business_layer.Order)">computePriceForOrder(Order)</a></span> - Method in interface business_layer.<a href="../business_layer/IRestaurantProcessing.html" title="interface in business_layer">IRestaurantProcessing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../business_layer/Restaurant.html#computePriceForOrder(business_layer.Order)">computePriceForOrder(Order)</a></span> - Method in class business_layer.<a href="../business_layer/Restaurant.html" title="class in business_layer">Restaurant</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation_layer/ControllerAdministratorGUI.html" title="class in presentation_layer"><span class="typeNameLink">ControllerAdministratorGUI</span></a> - Class in <a href="../presentation_layer/package-summary.html">presentation_layer</a></dt>
<dd>
<div class="block">– contine trei variabile instanta : un obiect de tipul ViewAdministratorGUI, care reprezinta fereastra din UI, un obiect de tipul Restaurant si un obiect de tipul RestaurantSerializator, care se ocupa cu serializarea datelor din restaurant; clasa contine un constructor si clase interne care implementeaza interfata ActionListener, clase care descriu comportamentul fiecarui buton din fereastra pentru administrator : Clasa ActionListenerAdd, Clasa ActionListenerEdit, Clasa ActionListenerDelete, Clasa ActionListenerShowAll si Clasa ActionListenerBack;</div>
</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerAdministratorGUI.html#%3Cinit%3E(presentation_layer.ViewAdministratorGUI,business_layer.Restaurant,data_layer.RestaurantSerializator)">ControllerAdministratorGUI(ViewAdministratorGUI, Restaurant, RestaurantSerializator)</a></span> - Constructor for class presentation_layer.<a href="../presentation_layer/ControllerAdministratorGUI.html" title="class in presentation_layer">ControllerAdministratorGUI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerAdd.html" title="class in presentation_layer"><span class="typeNameLink">ControllerAdministratorGUI.ActionListenerAdd</span></a> - Class in <a href="../presentation_layer/package-summary.html">presentation_layer</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerBack.html" title="class in presentation_layer"><span class="typeNameLink">ControllerAdministratorGUI.ActionListenerBack</span></a> - Class in <a href="../presentation_layer/package-summary.html">presentation_layer</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerDelete.html" title="class in presentation_layer"><span class="typeNameLink">ControllerAdministratorGUI.ActionListenerDelete</span></a> - Class in <a href="../presentation_layer/package-summary.html">presentation_layer</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerEdit.html" title="class in presentation_layer"><span class="typeNameLink">ControllerAdministratorGUI.ActionListenerEdit</span></a> - Class in <a href="../presentation_layer/package-summary.html">presentation_layer</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation_layer/ControllerAdministratorGUI.ActionListenerViewAll.html" title="class in presentation_layer"><span class="typeNameLink">ControllerAdministratorGUI.ActionListenerViewAll</span></a> - Class in <a href="../presentation_layer/package-summary.html">presentation_layer</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation_layer/ControllerChefGUI.html" title="class in presentation_layer"><span class="typeNameLink">ControllerChefGUI</span></a> - Class in <a href="../presentation_layer/package-summary.html">presentation_layer</a></dt>
<dd>
<div class="block">– contine trei variabile instanta : un obiect de tipul ViewChefGUI, ce reprezinta fereastra din UI, un obiect de tipul Restaurant si un obiect de tipul ChefObserver, care este notificat de fiecare data cand trebuie sa se afiseze in interfata comenzile introduse de chelner; de asemenea, clasa contine un constructor;</div>
</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerChefGUI.html#%3Cinit%3E(presentation_layer.ViewChefGUI,business_layer.Restaurant)">ControllerChefGUI(ViewChefGUI, Restaurant)</a></span> - Constructor for class presentation_layer.<a href="../presentation_layer/ControllerChefGUI.html" title="class in presentation_layer">ControllerChefGUI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation_layer/ControllerStart.html" title="class in presentation_layer"><span class="typeNameLink">ControllerStart</span></a> - Class in <a href="../presentation_layer/package-summary.html">presentation_layer</a></dt>
<dd>
<div class="block">– contine trei variabile instanta : un obiect de tipul ViewStart, ce reprezinta fereastra din UI, un obiect de tipul Restaurant si un obiect de tipul RestaurantSerializator, care se ocupa cu serializarea datelor din restaurant; clasa are un constructor si o clasa interna care implementeaza interfata ActionListener, clasa ce descrie comportamentul combo box-ului din fereastra de start : Clasa ActionListenerComboBox;</div>
</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerStart.html#%3Cinit%3E(presentation_layer.ViewStart,business_layer.Restaurant,data_layer.RestaurantSerializator)">ControllerStart(ViewStart, Restaurant, RestaurantSerializator)</a></span> - Constructor for class presentation_layer.<a href="../presentation_layer/ControllerStart.html" title="class in presentation_layer">ControllerStart</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation_layer/ControllerStart.ActionListenerComboBox.html" title="class in presentation_layer"><span class="typeNameLink">ControllerStart.ActionListenerComboBox</span></a> - Class in <a href="../presentation_layer/package-summary.html">presentation_layer</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation_layer/ControllerWaiterGUI.html" title="class in presentation_layer"><span class="typeNameLink">ControllerWaiterGUI</span></a> - Class in <a href="../presentation_layer/package-summary.html">presentation_layer</a></dt>
<dd>
<div class="block">- contine trei variabile instanta : un obiect de tipul ViewWaiterGUI, care reprezinta fereastra din UI, un obiect de tipul Restaurant si un obiect de tipul RestaurantSerializator, care se ocupa cu serializarea datelor din restaurant; clasa contine un constructor si clase interne care implementeaza interfata ActionListener, clase ce descriu comportamentul fiecarui buton din fereastra pentru chelner : Clasa ActionListenerAdd, Clasa ActionListenerGenerateBill, Clasa ActionListenerShowAll, Clasa ActionListenerDelete si Clasa ActionListenerBack;</div>
</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ControllerWaiterGUI.html#%3Cinit%3E(presentation_layer.ViewWaiterGUI,business_layer.Restaurant,data_layer.RestaurantSerializator)">ControllerWaiterGUI(ViewWaiterGUI, Restaurant, RestaurantSerializator)</a></span> - Constructor for class presentation_layer.<a href="../presentation_layer/ControllerWaiterGUI.html" title="class in presentation_layer">ControllerWaiterGUI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation_layer/ControllerWaiterGUI.ActionListenerAdd.html" title="class in presentation_layer"><span class="typeNameLink">ControllerWaiterGUI.ActionListenerAdd</span></a> - Class in <a href="../presentation_layer/package-summary.html">presentation_layer</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation_layer/ControllerWaiterGUI.ActionListenerBack.html" title="class in presentation_layer"><span class="typeNameLink">ControllerWaiterGUI.ActionListenerBack</span></a> - Class in <a href="../presentation_layer/package-summary.html">presentation_layer</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation_layer/ControllerWaiterGUI.ActionListenerComputeBill.html" title="class in presentation_layer"><span class="typeNameLink">ControllerWaiterGUI.ActionListenerComputeBill</span></a> - Class in <a href="../presentation_layer/package-summary.html">presentation_layer</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation_layer/ControllerWaiterGUI.ActionListenerDelete.html" title="class in presentation_layer"><span class="typeNameLink">ControllerWaiterGUI.ActionListenerDelete</span></a> - Class in <a href="../presentation_layer/package-summary.html">presentation_layer</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation_layer/ControllerWaiterGUI.ActionListenerViewAll.html" title="class in presentation_layer"><span class="typeNameLink">ControllerWaiterGUI.ActionListenerViewAll</span></a> - Class in <a href="../presentation_layer/package-summary.html">presentation_layer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../business_layer/IRestaurantProcessing.html#createNewOrder(int,java.util.Date,int,java.util.List)">createNewOrder(int, Date, int, List&lt;MenuItem&gt;)</a></span> - Method in interface business_layer.<a href="../business_layer/IRestaurantProcessing.html" title="interface in business_layer">IRestaurantProcessing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../business_layer/Restaurant.html#createNewOrder(int,java.util.Date,int,java.util.List)">createNewOrder(int, Date, int, List&lt;MenuItem&gt;)</a></span> - Method in class business_layer.<a href="../business_layer/Restaurant.html" title="class in business_layer">Restaurant</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
